HanMacWrdKGraphInternal::ShapeGraph Struct Reference documentation

HanMacWrdKGraphInternal::ShapeGraph Struct Referencefinal

Internal: the geometrical graph of a HanMacWrdKGraph. More...

Inheritance diagram for HanMacWrdKGraphInternal::ShapeGraph:

## Public Member Functions
| ShapeGraph (Frame const &orig)
| constructor
| ~ShapeGraph () final
| destructor
MWAWGraphicStyle | getStyle () const
| return the current style
std::string | print () const
| print local data
Public Member Functions inherited from HanMacWrdKGraphInternal::Frame
| Frame ()
| constructor
| Frame (Frame const &)=default
virtual | ~Frame ()
| destructor
MWAWBox2f | getBdBox () const
| return the frame bdbox

## Public Attributes
MWAWGraphicShape | m_shape
| the shape m_shape
Public Attributes inherited from HanMacWrdKGraphInternal::Frame
int | m_type
| the graph type
long | m_fileId
| the file id
long | m_fileSubId
| the file sub id
int | m_id
| the local id
int | m_page
| the page
MWAWBox2f | m_pos
| the position
float | m_baseline
| the baseline
int | m_posFlags
| the graph anchor flags
MWAWGraphicStyle | m_style
| the style
int | m_borderType
| the border type
MWAWVec2f | m_borders [4]
| the border default size (before using width), 0 means Top, other unknown
bool | m_inGroup
| true if the frame is a child of a group
bool | m_parsed
| true if we have send the data
std::string | m_extra
| an extra string

## Friends
std::ostream & | operator<< (std::ostream &o, ShapeGraph const &graph)
| operator<<

## Detailed Description

Internal: the geometrical graph of a HanMacWrdKGraph.

## Constructor & Destructor Documentation

## ◆ ShapeGraph()

HanMacWrdKGraphInternal::ShapeGraph::ShapeGraph | ( | Frame const & | orig | ) |
| inlineexplicit

constructor

Referenced by operator<<.

## ◆ ~ShapeGraph()

HanMacWrdKGraphInternal::ShapeGraph::~ShapeGraph | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ getStyle()

MWAWGraphicStyle HanMacWrdKGraphInternal::ShapeGraph::getStyle | ( |  | ) | const
| inline

return the current style

Referenced by HanMacWrdKGraph::sendShapeGraph().

## ◆ print()

std::string HanMacWrdKGraphInternal::ShapeGraph::print | ( |  | ) | const
| inline

print local data

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | ShapeGraph const & | graph )
| friend

operator<<

## Member Data Documentation

## ◆ m_shape

MWAWGraphicShape HanMacWrdKGraphInternal::ShapeGraph::m_shape

the shape m_shape

Referenced by getStyle(), print(), HanMacWrdKGraph::sendShapeGraph(), and ShapeGraph().

The documentation for this struct was generated from the following file:

- HanMacWrdKGraph.cxx